This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 3 failed / 20 succeeded
Started2020-01-16 17:00
Elapsed28m38s
Revision
Buildergke-prow-default-pool-cf4891d4-8gg3
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/707ce461-e93d-4c0c-924c-54c35dc60950/targets/test'}}
poda6700a3d-3881-11ea-8f3e-66e48c863062
resultstorehttps://source.cloud.google.com/results/invocations/707ce461-e93d-4c0c-924c-54c35dc60950/targets/test
infra-commit6592ba878
job-versionv1.15.8-beta.1.30+14ede42c4fe699
master_os_imagecos-73-11647-163-0
node_os_imagegke-1134-gke-rc5-cos-69-10895-138-0-v190320-pre-nvda-gpu
poda6700a3d-3881-11ea-8f3e-66e48c863062
revisionv1.15.8-beta.1.30+14ede42c4fe699

Test Failures


GPU master upgrade [sig-node] gpu-master-upgrade 5m26s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=GPU\smaster\supgrade\s\[sig\-node\]\sgpu\-master\-upgrade$'
Jan 16 17:17:24.357: Unexpected error:
    <*errors.errorString | 0xc003046050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.5-beta.1.51+e7f962ba86f4ce]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-9dz8\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-wlbt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-x2gd\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.5-beta.1.51+e7f962ba86f4ce/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   11m   v1.16.5-beta.1.51+e7f962ba86f4ce\\nbootstrap-e2e-minion-group-9dz8   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nbootstrap-e2e-minion-group-wlbt   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nbootstrap-e2e-minion-group-x2gd   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nValidate output:\\nNAME                 AGE\\netcd-1               <unknown>\\ncontroller-manager   <unknown>\\nscheduler            <unknown>\\netcd-0               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.5-beta.1.51+e7f962ba86f4ce\\\"\\nname: \\\"bootstrap-e2e-minion-group-9dz8\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-wlbt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-x2gd\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\n\", stderr \"Project: k8s-gke-gpu-boskos-03\\nNetwork Project: k8s-gke-gpu-boskos-03\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-9dz8 bootstrap-e2e-minion-group-wlbt bootstrap-e2e-minion-group-x2gd\\nWARNING: Some requests did not succeed.\\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\\n\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 35.247.34.27; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.34.27  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-gke-gpu-boskos-03\\nNetwork Project: k8s-gke-gpu-boskos-03\\nZone: us-west1-b\\nWARNING: Some requests did not succeed.\\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\\n\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.5-beta.1.51+e7f962ba86f4ce]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-9dz8\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-wlbt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-x2gd\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.5-beta.1.51+e7f962ba86f4ce/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   11m   v1.16.5-beta.1.51+e7f962ba86f4ce\nbootstrap-e2e-minion-group-9dz8   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nbootstrap-e2e-minion-group-wlbt   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nbootstrap-e2e-minion-group-x2gd   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nValidate output:\nNAME                 AGE\netcd-1               <unknown>\ncontroller-manager   <unknown>\nscheduler            <unknown>\netcd-0               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.5-beta.1.51+e7f962ba86f4ce\"\nname: \"bootstrap-e2e-minion-group-9dz8\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-wlbt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-x2gd\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\n", stderr "Project: k8s-gke-gpu-boskos-03\nNetwork Project: k8s-gke-gpu-boskos-03\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-9dz8 bootstrap-e2e-minion-group-wlbt bootstrap-e2e-minion-group-x2gd\nWARNING: Some requests did not succeed.\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\n\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 35.247.34.27; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.34.27  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-gke-gpu-boskos-03\nNetwork Project: k8s-gke-gpu-boskos-03\nZone: us-west1-b\nWARNING: Some requests did not succeed.\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\n\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred

k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.1.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:231 +0x12c
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do(0xc0022c7218)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:111 +0x38a
k8s.io/kubernetes/test/e2e/lifecycle.runUpgradeSuite(0xc000d13540, 0x76ac6d0, 0x1, 0x1, 0xc000e52c60, 0xc00227ac30, 0xc002ca5f40, 0x0, 0xc002ca5c60)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:483 +0x47a
k8s.io/kubernetes/test/e2e/lifecycle.glob..func5.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:234 +0x227
k8s.io/kubernetes/test/e2e.RunE2ETests(0xc00019c300)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e.go:94 +0x242
k8s.io/kubernetes/test/e2e.TestE2E(0xc00019c300)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e_test.go:116 +0x2b
testing.tRunner(0xc00019c300, 0x49a0850)
	/usr/local/go/src/testing/testing.go:909 +0xc9
created by testing.(*T).Run
	/usr/local/go/src/testing/testing.go:960 +0x350
				from junit_upgradeupgrades.xml

Filter through log files | View test history on testgrid


Kubernetes e2e suite [sig-cluster-lifecycle] gpu Upgrade [Feature:GPUUpgrade] master upgrade should NOT disrupt gpu pod [Feature:GPUMasterUpgrade] 11m29s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Kubernetes\se2e\ssuite\s\[sig\-cluster\-lifecycle\]\sgpu\sUpgrade\s\[Feature\:GPUUpgrade\]\smaster\supgrade\sshould\sNOT\sdisrupt\sgpu\spod\s\[Feature\:GPUMasterUpgrade\]$'
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:220
Jan 16 17:17:24.357: Unexpected error:
    <*errors.errorString | 0xc003046050>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.5-beta.1.51+e7f962ba86f4ce]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-9dz8\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-wlbt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-x2gd\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.5-beta.1.51+e7f962ba86f4ce/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n......................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Upgrading the CoreDNS ConfigMap ==\\nconfigmap/coredns configured\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   11m   v1.16.5-beta.1.51+e7f962ba86f4ce\\nbootstrap-e2e-minion-group-9dz8   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nbootstrap-e2e-minion-group-wlbt   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nbootstrap-e2e-minion-group-x2gd   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\\nValidate output:\\nNAME                 AGE\\netcd-1               <unknown>\\ncontroller-manager   <unknown>\\nscheduler            <unknown>\\netcd-0               <unknown>\\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.16.5-beta.1.51+e7f962ba86f4ce\\\"\\nname: \\\"bootstrap-e2e-minion-group-9dz8\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-wlbt\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\nname: \\\"bootstrap-e2e-minion-group-x2gd\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.15.8-beta.1.30+14ede42c4fe699\\\"\\n\", stderr \"Project: k8s-gke-gpu-boskos-03\\nNetwork Project: k8s-gke-gpu-boskos-03\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-9dz8 bootstrap-e2e-minion-group-wlbt bootstrap-e2e-minion-group-x2gd\\nWARNING: Some requests did not succeed.\\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\\n\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 35.247.34.27; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.34.27  RUNNING\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-gke-gpu-boskos-03\\nNetwork Project: k8s-gke-gpu-boskos-03\\nZone: us-west1-b\\nWARNING: Some requests did not succeed.\\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\\n\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.16.5-beta.1.51+e7f962ba86f4ce]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-9dz8\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-wlbt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-x2gd\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.16.5-beta.1.51+e7f962ba86f4ce/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n......................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Upgrading the CoreDNS ConfigMap ==\nconfigmap/coredns configured\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   11m   v1.16.5-beta.1.51+e7f962ba86f4ce\nbootstrap-e2e-minion-group-9dz8   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nbootstrap-e2e-minion-group-wlbt   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nbootstrap-e2e-minion-group-x2gd   Ready                      <none>   11m   v1.15.8-beta.1.30+14ede42c4fe699\nValidate output:\nNAME                 AGE\netcd-1               <unknown>\ncontroller-manager   <unknown>\nscheduler            <unknown>\netcd-0               <unknown>\n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.16.5-beta.1.51+e7f962ba86f4ce\"\nname: \"bootstrap-e2e-minion-group-9dz8\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-wlbt\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\nname: \"bootstrap-e2e-minion-group-x2gd\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.15.8-beta.1.30+14ede42c4fe699\"\n", stderr "Project: k8s-gke-gpu-boskos-03\nNetwork Project: k8s-gke-gpu-boskos-03\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-9dz8 bootstrap-e2e-minion-group-wlbt bootstrap-e2e-minion-group-x2gd\nWARNING: Some requests did not succeed.\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\n\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 35.247.34.27; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-gke-gpu-boskos-03/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-73-11647-163-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-73-11647-182-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP   STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.247.34.27  RUNNING\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-gke-gpu-boskos-03\nNetwork Project: k8s-gke-gpu-boskos-03\nZone: us-west1-b\nWARNING: Some requests did not succeed.\n - Invalid value for field 'zone': 'asia-northeast3-a'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-b'. Unknown zone.\n - Invalid value for field 'zone': 'asia-northeast3-c'. Unknown zone.\n\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/lifecycle/cluster_upgrade.go:231
				
				Click to see stdout/stderrfrom junit_upgrade01.xml

Filter through log files | View test history on testgrid


UpgradeTest 11m40s

error during kubetest --test --test_args=--ginkgo.focus=\[Feature:GPUMasterUpgrade\] --upgrade-target=ci/k8s-stable1 --upgrade-image=gci --report-dir=/workspace/_artifacts --disable-log-dump=true --report-prefix=upgrade --check-version-skew=false: exit status 1
				from junit_runner.xml

Filter through log files | View test history on testgrid


Show 20 Passed Tests

Show 9142 Skipped Tests